function [freq] = coord_symhc2even(N,d)
%COORD_SYMHC2EVEN Helper function to construct even hyperbolic cross index sets.

if ((d==5)&&(N>512)) || ((d==6)&&(N>256)) || ((d==7)&&(N>256)) ...
    || ((d==8)&&(N>128)) || ((d==9)&&(N>32)) || ((d==10)&&(N>32)) || (d>10)
  opts.parity = 'even';
  freq = double(coord_symhc(N,d,1,opts));
else
  freq_all = coord_symhc2_parfor(N,d);
  freq = freq_all(sum(mod(freq_all,2)==1,2) == 0, :);
end

end

