function [ val ] = fct_Gp( p, xz, M )
%FCT_GP Computes value of G_p^d at lattice points.

if nargin < 3
  val = prod(fct_gp_1d(p,xz), 2);
else
  val = ones(M,1);
  val_1d = fct_gp_1d(p,(0:M-1)'/M);
  for s=1:length(xz)
    val = val .* val_1d(mod((0:M-1)'*xz(s),M)+1);
  end
end

end
