function [z,M] = get_cbc_recor1l_symhceven(N,d)
%GET_CBC_RECOR1L_SYMHC Lookup for CBC constructed rank-1 lattices for even hyperbolic crosses.
load('symhc_lattices_even_ad_new.mat','z_matrix');
iN = ceil(log2(N))+1;

if d+1 > size(z_matrix,2)
  error('d too large');
end

if iN > size(z_matrix,1)
  error('N too large');
end

if z_matrix(iN,d+1) == 0
  error('combination of N and d not supported');
end

z = z_matrix(iN,1:d);
M = z_matrix(iN,d+1);

end

