function [results] = test_mr1l_largeMstartS_symhceven_fulllattice1(N_array,d)
% TEST_MR1L_LARGEMSTARTS_SYMHCEVEN_FULLLATICE1 Computes the number of samples in multiple rank-1 lattices constructed by Theorem 2.8 for even hyperbolic crosses starting with starting with exponential lattices for the full grid. </p>


filename = sprintf('test_mr1l_largeMstartS_symhceven_fulllattice1_d%d.mat',d);

results = {};

for N = N_array
  result = struct();
  result.d = d;
  result.N = N;
  freq = coord_symhc2even(N,d);
  result.num_freq = size(freq,1);

  N_I = max(max(freq,[],1)-min(freq,[],1)+1);
  M = N_I^d;
  fprintf('N=%d, d=%d, s=%d, M=%g, ', N, d, result.num_freq, M);

  if (N_I^(d-1) > 2^62) || (max(sum(abs(freq),2))*N_I^(d-1) > 2^62) || (N_I^(d-1) > flintmax)
    z = cell(1,d);
    z{1} = int64(1);
    for t=2:d
%       z_t = int64(repmat(N_I,1,t-1));
      z_t = int64([]);
      max_group = max( 1 , min(floor(log(2^62)/log(N_I)-1),floor(log(flintmax)/log(N_I))) );
      num_groups = floor((t-1) / max_group);
      for ii=1:num_groups
        z_t = [z_t, int64(N_I^max_group)];
      end
      if t-1 > max_group * num_groups
        z_t = [z_t, int64(N_I^(t-1-max_group*num_groups))];
      end
      z{t} = z_t;
    end
    fprintf('z large, ');
  else
    z = N_I.^(0:d-1);
  end

  result.z = z;
  result.M = M;
  [Ms,hred_array,hrem_array] = deterministic_mr1l_get_lattice_sizes_largeMstartS(freq,z,M);
  fprintf('numlat=%d, samples=%d\n', length(Ms), sum(Ms)-length(Ms)+1);
  result.Ms = Ms;
  result.hred_array = hred_array;
  result.hrem_array = hrem_array;
%[[Ms;0], [size(freq,1);hrem_array]];
  results{end+1} = result;
  save(filename', 'N_array', 'd', 'results');
end

